{% extends 'base.html.twig' %}

{% block title %}Class{% endblock %}

{% block body %}
    <h1 class="my-5 text-center">Class {{ group.name }}</h1>

    <div class="row">
        <div class="col-md-2">
            <a href="{{ path('admin_group_index') }}" class="btn btn-secondary"><< back</a>
        </div>
        <div class="col-md-8">
            <div class="row mb-5">
                <a href="{{ path('admin_group_edit', {'id': group.id}) }}" class="btn btn-info mx-3"><i class="far fa-edit mr-2"></i>Edit</a></i></a>
                {{ include('admin/group/_delete_form.html.twig') }}
            </div>
            <table class="table table-striped table-bordered mb-5">
                <tbody>
                    <tr>
                        <th>Name</th>
                        <td>{{ group.name }}</td>
                    </tr>
                </tbody>
            </table>
            <div class="row">
                <div class="col-md-6">
                    <h4 class="text-center">STUDENTS</h4>
                    <hr>
                    <div id="myTable1">
                        <table id="allStudentsTableGroup" class="table1 table table-striped">
                            <button id="remove-checkbox-button1" class="btn btn-danger mb-3 checkbox-remove" data-toggle="modal" data-target="#modalRemoveStudents"><i class="fas fa-trash mr-2"></i>Remove from class (<span class="count-checkbox">0</span> selected)</button>
                            <div class="modal fade" id="modalRemoveStudents" tabindex="-1" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-scrollable" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">Confirmation</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <p>Are you sure you want to delete the selected students(s) ?</p>
                                            <form id="modalFormRemoveStudents" action="{{ path('admin_student_group_remove', {'group': group.id}) }}" method="post">
                                                <input type="hidden" name="_token" value="{{ csrf_token('deleteUsers') }}">
                                            </form>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" class="confirmButton-modalFormRemoveStudents btn btn-info">Confirm</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <thead class="thead-dark">
                                <tr>
                                     <th>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" value="" id="checkbox-all1" data-id="allStudentsTableGroup">
                                            <label class="form-check-label" for="flexCheckDefault"></label>
                                        </div>
                                    </th>
                                    <th>Lastname</th>
                                    <th>Firstname</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for student in students %}
                                    <tr>
                                        <td>
                                            <div class="form-check form-check-remove">
                                                <input class="form-check-input" type="checkbox" value="" id="checkbox-{{ student.id }}">
                                                <label class="form-check-label" for="flexCheckDefault"></label>
                                            </div>
                                        </td>
                                        <td>{{ student.lastname | upper}}</td>
                                        <td>{{ student.firstname | capitalize }}</td>
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td>No student found</td>
                                        <td></td>
                                        <td></td>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="col-md-6">
                    <h4 class="text-center">PROFESSORS</h4>
                    <hr>
                    <div id="myTable2">
                        <table id="allProfessorsTableGroup" class="table2 table table-striped">
                            <button id="remove-checkbox-button2" class="btn btn-danger mb-3 checkbox-remove" data-toggle="modal" data-target="#modalRemoveProfessors"><i class="fas fa-trash mr-2"></i>Remove from class (<span class="count-checkbox">0</span> selected)</button>
                            <div class="modal fade" id="modalRemoveProfessors" tabindex="-1" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-scrollable" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">Confirmation</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <p>Are you sure you want to delete the selected professors(s) ?</p>
                                            <form id="modalFormRemoveProfessors" action="{{ path('admin_admin_professor_group_remove', {'group': group.id}) }}" method="post">
                                                <input type="hidden" name="_token" value="{{ csrf_token('deleteUsers') }}">
                                            </form>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="submit" class="confirmButton-modalFormRemoveProfessors btn btn-info">Confirm</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <thead class="thead-dark">
                                <tr>
                                    <th>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" value="" id="checkbox-all2" data-id="allProfessorsTableGroup">
                                            <label class="form-check-label" for="flexCheckDefault"></label>
                                        </div>
                                    </th>
                                    <th>Lastname</th>
                                    <th>Firstname</th>
                                    <th>Subject</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for professor in professors %}
                                    <tr>
                                        <td>
                                            <div class="form-check form-check-remove">
                                                <input class="form-check-input" type="checkbox" value="" id="checkbox-{{ professor.id }}">
                                                <label class="form-check-label" for="flexCheckDefault"></label>
                                            </div>
                                        </td>
                                        <td>{{ professor.lastname | upper}}</td>
                                        <td>{{ professor.firstname | capitalize }}</td>
                                        {% if professor.subject is defined and professor.subject is not null %}
                                            <td>{{ professor.subject.name | capitalize }}</td>
                                        {% else %}
                                            <td>no subject</td>
                                        {% endif %}
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td>No professor found</td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}
